> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usealmanac.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel Workspace Invitation



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspace_id}/invitations/{invitation_id}/cancel
openapi: 3.1.0
info:
  description: Versioned API for hosted Almanac wikis.
  title: Almanac V1 API
  version: 0.5.0
servers:
  - url: https://api.usealmanac.com
security:
  - bearerAuth: []
tags:
  - description: Session, onboarding, overview, and email preferences.
    name: Account
  - description: Workspace discovery and details.
    name: Workspaces
  - description: Wiki creation, listing, and details.
    name: Wikis
  - description: Wiki pages, search, topics, and provenance.
    name: Pages
  - description: Source records, trees, search, and original files.
    name: Sources
  - description: Source uploads and upload records.
    name: Uploads
  - description: Ingest and Garden jobs, events, and outcomes.
    name: Jobs
  - description: Workspace-scoped developer keys.
    name: API keys
  - description: Workspace membership and invitations.
    name: Members
  - description: Workspace plans, usage, and billing portal.
    name: Billing
paths:
  /v1/workspaces/{workspace_id}/invitations/{invitation_id}/cancel:
    post:
      tags:
        - Members
      summary: Cancel Workspace Invitation
      operationId: >-
        cancel_workspace_invitation_v1_workspaces__workspace_id__invitations__invitation_id__cancel_post
      parameters:
        - in: path
          name: workspace_id
          required: true
          schema:
            title: Workspace Id
            type: string
        - in: path
          name: invitation_id
          required: true
          schema:
            title: Invitation Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HostedWorkspaceMembers'
          description: Successful Response
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: string
                  message:
                    type: string
                  request_id:
                    type: string
                required:
                  - error
                  - message
                  - request_id
                type: object
          description: Invalid request
components:
  schemas:
    HostedWorkspaceMembers:
      additionalProperties: false
      properties:
        invitations:
          items:
            $ref: '#/components/schemas/HostedWorkspaceInvitation'
          title: Invitations
          type: array
        members:
          items:
            $ref: '#/components/schemas/HostedWorkspaceMember'
          title: Members
          type: array
        roles:
          items:
            $ref: '#/components/schemas/HostedWorkspaceRole'
          title: Roles
          type: array
        seats:
          $ref: '#/components/schemas/HostedWorkspaceSeats'
        viewer:
          $ref: '#/components/schemas/HostedWorkspaceAccess'
        workspace_id:
          title: Workspace Id
          type: string
      required:
        - workspace_id
        - viewer
        - seats
      title: HostedWorkspaceMembers
      type: object
    HostedWorkspaceInvitation:
      additionalProperties: false
      properties:
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        email:
          title: Email
          type: string
        expires_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Expires At
        invitation_id:
          title: Invitation Id
          type: string
        role:
          title: Role
          type: string
        state:
          default: pending
          title: State
          type: string
      required:
        - invitation_id
        - email
        - role
      title: HostedWorkspaceInvitation
      type: object
    HostedWorkspaceMember:
      additionalProperties: false
      properties:
        avatar_url:
          default: ''
          title: Avatar Url
          type: string
        display_name:
          title: Display Name
          type: string
        email:
          title: Email
          type: string
        membership_id:
          title: Membership Id
          type: string
        role:
          title: Role
          type: string
        status:
          default: active
          title: Status
          type: string
        user_id:
          title: User Id
          type: string
      required:
        - membership_id
        - user_id
        - email
        - display_name
        - role
      title: HostedWorkspaceMember
      type: object
    HostedWorkspaceRole:
      additionalProperties: false
      properties:
        description:
          default: ''
          title: Description
          type: string
        name:
          title: Name
          type: string
        slug:
          title: Slug
          type: string
      required:
        - slug
        - name
      title: HostedWorkspaceRole
      type: object
    HostedWorkspaceSeats:
      additionalProperties: false
      properties:
        active:
          title: Active
          type: integer
        blocked:
          default: false
          title: Blocked
          type: boolean
        granted:
          anyOf:
            - type: number
            - type: 'null'
          title: Granted
        overage_allowed:
          default: false
          title: Overage Allowed
          type: boolean
        pending:
          default: 0
          title: Pending
          type: integer
        unlimited:
          default: false
          title: Unlimited
          type: boolean
        used:
          title: Used
          type: integer
      required:
        - active
        - used
      title: HostedWorkspaceSeats
      type: object
    HostedWorkspaceAccess:
      additionalProperties: false
      properties:
        can_manage_billing:
          default: false
          title: Can Manage Billing
          type: boolean
        can_manage_developers:
          default: false
          title: Can Manage Developers
          type: boolean
        can_manage_members:
          default: false
          title: Can Manage Members
          type: boolean
        role:
          title: Role
          type: string
        workspace_id:
          title: Workspace Id
          type: string
      required:
        - workspace_id
        - role
      title: HostedWorkspaceAccess
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: Almanac access token or API key
      scheme: bearer
      type: http

````